# Stylix

Stylix is a NixOS module which applies the same colour scheme, font and
wallpaper to a range of applications and desktop environments.

## What's this?

[base16.nix](https://github.com/SenchoPens/base16.nix#readme) allows you to
import colours from [base16](https://github.com/chriskempson/base16#readme)
into Nix code. Stylix takes this a step further:

- Automatically colours and changes the font of apps
- Sets your wallpaper
- Exports the colour scheme to be used manually for anything we missed
- Can also generate themes based on an image

For those not familiar with [NixOS](https://nixos.org/) and
[Home Manager](https://github.com/nix-community/home-manager#readme):

- NixOS is a Linux distribution
- Home Manager is a program which runs anywhere
- Both use the Nix language and package manager
- Both let you install programs and change settings via code

Stylix supports either NixOS + Home Manager, or Home Manager on its own.
Certain features are only available with NixOS.

## Resources

Please refer to the [Stylix book](https://danth.github.io/stylix/)
for instructions and a list of supported apps.

If you have any questions, you are welcome to
join our [Matrix room](https://matrix.to/#/#stylix:danth.me),
or ask on [GitHub Discussions](https://github.com/danth/stylix/discussions).

## Example configurations

![GNOME 44](https://user-images.githubusercontent.com/28959268/233449152-c38d0214-0991-454d-abbf-41b5e89dee3a.png)

| Environment | Wallpaper                                                                               | Colour scheme       | Fonts                | Full configuration                                                         |
|-------------|-----------------------------------------------------------------------------------------|---------------------|----------------------|----------------------------------------------------------------------------|
| GNOME 44    | [Atlantis Garbage Worker by Grady Frederick](https://www.artstation.com/artwork/W2GERJ) | Generated by Stylix | Cantarell, Fira Code | [See here](https://gist.github.com/danth/5e0b263eeed99aafcef2a2eca3e8548d) |

![KDE Plasma 5](https://github.com/danth/stylix/assets/28959268/f0ee5ce2-cd4a-4875-b44b-f974f97ecd71)

| Environment  | Wallpaper                                                     | Colour scheme       | Fonts                | Full configuration                                                         |
|--------------|---------------------------------------------------------------|---------------------|----------------------|----------------------------------------------------------------------------|
| KDE Plasma 5 | Taken from [Genshin Impact](https://genshin.hoyoverse.com/en) | Generated by Stylix | Cantarell, Fira Code | [See here](https://gist.github.com/danth/17dd596a9f655a252c14b23a60dd2aaf) |

![Hyprland](https://raw.githubusercontent.com/SomeGuyNamedMy/Screenshots/60cd34c7c822042e33d0a1d7ae98a64290aa6dab/example2.png)

| Environment | Wallpaper                                                                               | Colour scheme       | Fonts                | Full configuration                                  |
|-------------|-----------------------------------------------------------------------------------------|---------------------|----------------------|-----------------------------------------------------|
| Hyprland    | Taken from [raison d'etre by Eve](https://www.youtube.com/watch?v=ulfY8WQE_HE)          | Generated by Stylix | DeJavu               | [See here](https://github.com/SomeGuyNamedMy/users) |
